import Foundation

let contentDirectory = URL(fileURLWithPath: "/Users/ch/Projects/MakerSpace")
let outputDirectory = URL(fileURLWithPath: "/Users/ch/Projects/MakerSpace/Site")
let imageProcessor = ImageProcessor(
    inputFolder: contentDirectory, outputFolder: outputDirectory)

// 1: Load all site content
guard let site = try Site(folder: contentDirectory) else {
    exit(0)
}
// site.printContents()
let siteGenerator = try SiteGenerator(site: site, imageProcessor: imageProcessor)
try siteGenerator.generate()

print("Pages generated")
try imageProcessor.createImages()
print("Images generated")

#warning("Check that all metadata for each language is present")
